;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : init-adrianpython.scm
;; DESCRIPTION : Initialize python plugin
;; COPYRIGHT   : (c) Adrian Soto 2012
;;
;; This software falls under the GNU general public license version 3 or later.
;; It comes WITHOUT ANY WARRANTY WHATSOEVER. For details, see the file LICENSE
;; in the root directory or <http://www.gnu.org/licenses/gpl-3.0.html>.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;It would be nice if I new how to add a "EOF" character to signal the end of output
;;Otherwise we would need to emulate it
;;currently.

(define (adrianpython-serialize lan t)
  (import-from (utils plugins plugin-cmd))
  (with u (pre-serialize lan t)
    (with s (texmacs->verbatim (stree->tree u))
      (string-append  s  "\n"))))


(plugin-configure adrianpython
  (:require (url-exists-in-path? "python"))
  (:require (url-exists-in-path? "tm_adrianpython"))
  (:launch "tm_adrianpython --texmacs")
  (:serializer ,adrianpython-serialize)
  (:session "Adrianpython"))

